Skip to main content
`Ctrl`+`K`

# hits

hits(G, max_iter=100, tol=1e-08, nstart=None, normalized=True)

  Returns HITS hubs and authorities values for nodes.

  The HITS algorithm computes two numbers for a node. Authorities estimates the node value based on the incoming links. Hubs estimates the node value based on outgoing links.

  Parameters:
    G graph

      A NetworkX graph

    max_iter integer, optional

      Maximum number of iterations in power method.

    tol float, optional

      Error tolerance used to check convergence in power method iteration.

    nstart dictionary, optional

      Starting value of each node for power method iteration.

    normalized bool (default=True)

      Normalize results by the sum of all of the values.

  Returns:
    (hubs,authorities)two-tuple of dictionaries

      Two dictionaries keyed by node containing the hub and authority values.

  Raises:
    PowerIterationFailedConvergence

      If the algorithm fails to converge to the specified tolerance within the specified number of iterations of the power iteration method.

  Notes

  The eigenvector calculation is done by the power iteration method and has no guarantee of convergence. The iteration will stop after max_iter iterations or an error tolerance of number_of_nodes(G)*tol has been reached.

  The HITS algorithm was designed for directed graphs but this algorithm does not check if the input graph is directed and will execute on undirected graphs.

  References

  [1]

  A. Langville and C. Meyer, “A survey of eigenvector methods of web information retrieval.” http://citeseer.ist.psu.edu/713792.html

  [2]

  Jon Kleinberg, Authoritative sources in a hyperlinked environment Journal of the ACM 46 (5): 604-32, 1999. doi:10.1145/324133.324140. http://www.cs.cornell.edu/home/kleinber/auth.pdf.

  Examples

      >>> G = nx.path_graph(4)
      >>> h, a = nx.hits(G)